import { Address } from '../../../models/address.model';
import { MediationType } from '../types/mediation.type';

export interface OrientationIndicatorStructure {
  nom: string;
  adresse: Address;
  zoneCTM?: string;
  distance?: number;
}

export interface OrientationIndicatorType {
  typeOrientation: string;
  filtres: string[];
  typeAccompagnement: MediationType;
}
export interface IOrientationIndicator {
  origin: OrientationIndicatorStructure;
  target: OrientationIndicatorStructure[];
  type: OrientationIndicatorType;
  connected: boolean;
  completed: boolean;
  progress: number;
}
